Bug 712358 - openldap-servers should depend on initscripts
Summary: openldap-servers should depend on initscripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openldap
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Vcelak
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 716857
TreeView+ depends on / blocked
 
Reported: 2011-06-10 12:28 UTC by Jan Stodola
Modified: 2013-03-04 01:29 UTC (History)
6 users (show)

Fixed In Version: openldap-2.4.23-16.el6
Doc Type: Bug Fix
Doc Text:
- installing openldap-servers package while initscript package is not available on the machine - errors appear during the installation process because some installation scriptlet fails - add initscripts as a required package for openldap-server package - the scriptlets do not fail during the installation and no error messages appear
Clone Of:
: 716857 (view as bug list)
Environment:
Last Closed: 2011-12-06 12:12:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1514 normal SHIPPED_LIVE openldap bug fix and enhancement update 2011-12-06 00:51:20 UTC

Description Jan Stodola 2011-06-10 12:28:38 UTC
Description of problem:
openldap-servers runs '/sbin/service' in its installation scriplets, but the package doesn't depend on initscripts:

[root@rtt6 ~]# rpm --nogpg -q --scripts -p rpms/openldap-servers-2.4.23-15.el6.s390x.rpm | grep /sbin/service
                /sbin/service slapd condrestart
        /sbin/service slapd stop > /dev/null 2>&1 || :
[root@rtt6 ~]# rpm -qf /sbin/service
initscripts-9.03.23-1.el6.s390x
[root@rtt6 ~]# rpm --nogpg -q --requires -p rpms/openldap-servers-2.4.23-15.el6.s390x.rpm | grep initscripts
[root@rtt6 ~]#


It causes error messages in some cases:
...
  Installing : ca-certificates-2010.63-3.el6.noarch                       51/53 
  Installing : openssl-1.0.0-10.el6.s390x                                 52/53 
  Installing : openldap-servers-2.4.23-15.el6.s390x                       53/53 
/
/var/tmp/rpm-tmp.1HrrSm: line 69: /sbin/service: No such file or directory


Version-Release number of selected component (if applicable):
openldap-servers-2.4.23-15.el6

How reproducible:
always

Steps to Reproduce:
1. yum --installroot=/root/new_install_root install openldap-servers

Actual results:
errors during installation

Expected results:
openldap-servers depends on initscripts, no error messages during installation

Comment 1 Jan Vcelak 2011-07-18 15:55:29 UTC
Fix included in openldap-2.4.23-16.el6

Comment 3 Jan Vcelak 2011-08-15 10:14:10 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
- installing openldap-servers package while initscript package is not available on the machine
- errors appear during the installation process because some installation scriptlet fails
- add initscripts as a required package for openldap-server package
- the scriptlets do not fail during the installation and no error messages appear

Comment 5 errata-xmlrpc 2011-12-06 12:12:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1514.html


Note You need to log in before you can comment on or make changes to this bug.